Skip to main content
GET
/
v0
/
organisation
/
{org_id}
/
environments
List environments
curl --request GET \
  --url https://sis.sumvin.com/v0/organisation/{org_id}/environments \
  --header 'Authorization: Bearer <token>'
{
  "_links": {
    "self": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    },
    "organisation": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    }
  },
  "environments": [
    {
      "id": "<string>",
      "name": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "label": "<string>",
      "auth": {
        "provider": "<string>",
        "is_active": true,
        "created_at": 123,
        "updated_at": 123,
        "credentials": {
          "environment_id": "<string>",
          "api_key": "<string>"
        }
      },
      "features": [
        {
          "feature": "<string>",
          "enabled": true,
          "config": {},
          "created_at": 123,
          "updated_at": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Query Parameters

limit
integer
default:50
Required range: x <= 100
offset
integer
default:0
Required range: x >= 0
label
string | null
expand
string[]

Response

Successful Response

environments
EnvironmentData · object[]
required